in vec2 texCoord;
out vec4 fragColor;
uniform float vignetteStrength; // 1.0
void main()
{
    float fadeStart = 0.3;
    float fadeEnd = 1.0;

    float fade = smoothstep(fadeStart, fadeEnd, distance(texCoord,vec2(0.5, 0.5)));
    fragColor = vec4(0.,0.,0.,fade * vignetteStrength); 
}
